Skip to main content
`Ctrl`+`K`

# MatFDColoring

Object for computing a sparse Jacobian via finite differences with coloring

## Synopsis

    typedef struct _p_MatFDColoring *MatFDColoring;

## Notes

This object is creating utilizing a coloring provided by the `MatColoring` object or `DMCreateColoring()`

The `SNES` option `-snes_fd_coloring` will cause the Jacobian needed by `SNES` to be computed via a use of this object

## See Also

Matrices, `Mat`, `MatFDColoringCreate()`, `MatFDColoringSetFunction()`, `MatColoring`, `DMCreateColoring()`

## Level

beginner

## Location

include/petscmat.h

## Examples

src/mat/tutorials/ex16.c
src/tao/unconstrained/tutorials/minsurf2.c
src/snes/tutorials/ex14.c

## Implementations

_p_MatFDColoring in include/petsc/private/matimpl.h

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages